/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jclouds.vcloud.director.v1_5.domain.query;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * Represents the results from a vCloud query as references.
 *
 * <pre>
 * &lt;complexType name="QueryResultReferences" /&gt;
 * </pre>
 *
 * @author grkvlt@apache.org
 */
@XmlRootElement(name = "VAppReferences")
public class VAppReferences extends QueryResultReferences {

   public static Builder<?> builder() {
      return new ConcreteBuilder();
   }

   @Override
   public Builder<?> toBuilder() {
      return builder().fromVAppReferences(this);
   }

   private static class ConcreteBuilder extends Builder<ConcreteBuilder> {
   }
   
   public static class Builder<B extends Builder<B>> extends QueryResultReferences.Builder<B> {

      @Override
      public VAppReferences build() {
         return new VAppReferences(this);
      }

      public B fromVAppReferences(VAppReferences in) {
         return fromQueryResultReferences(in);
      }
   }

   protected VAppReferences(Builder<?> builder) {
      super(builder);
   }

   protected VAppReferences() {
      // for JAXB
   }

   @Override
   public boolean equals(Object o) {
      if (this == o)
         return true;
      if (o == null || getClass() != o.getClass())
         return false;
      VAppReferences that = VAppReferences.class.cast(o);
      return super.equals(that);
   }
   
   // NOTE hashcode inherited from QueryResultReferences
}
